commit:     fe134100c07b3078506b9f17872bd7f5476f405f
Author:     Sergey Torokhov <torokhov-s-a <AT> yandex <DOT> ru>
AuthorDate: Wed Apr 22 10:10:00 2020 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Wed Apr 22 10:12:11 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=fe134100

dev-vcs/lazygit: 0.20.2 version bump

Signed-off-by: Sergey Torokhov <torokhov-s-a <AT> yandex.ru>

 dev-vcs/lazygit/Manifest              |  1 +
 dev-vcs/lazygit/lazygit-0.20.2.ebuild | 36 +++++++++++++++++++++++++++++++++++
 2 files changed, 37 insertions(+)

diff --git a/dev-vcs/lazygit/Manifest b/dev-vcs/lazygit/Manifest
index d6a94d6..9901edf 100644
--- a/dev-vcs/lazygit/Manifest
+++ b/dev-vcs/lazygit/Manifest
@@ -1,2 +1,3 @@
 DIST lazygit-0.19.tar.gz 9193308 BLAKE2B 
c07141661387094651cb6137579dea8ab5231b3e08b0733124cc97f1392251db592e01d60297356c8c5df1f1db554bc8a3be86cd07beed158d33b9eabdb015d4
 SHA512 
6259fdb98ae74ee59f395bd79fcbe3280b679883cbc0c190e64a36464c258597e18a6b70842cb242696536cfea35ea9c83f43b05ad20ead4f5120e436875abad
+DIST lazygit-0.20.2.tar.gz 9193638 BLAKE2B 
be26fd997e2cef99198a0406a2bdfef365a4b5db5aaeb4d10e040a24cc1bdb53ff2113be7671eb0dad904391614f8e1f8788f330afffa5a232905634cc0fa174
 SHA512 
0b3b88faf4ec17084e30924774ae5f6f9e151e043bffb8f3a10d3419ac733f19748a40ffd3c57b798ab67d32d91230d50cdb4228d899d77bb1bd53de1de833f5
 DIST lazygit-0.20.tar.gz 9193540 BLAKE2B 
e48b68dc68f124e0dc63c1a846232e45f4e8ab0113b10a80d34adf6d28454d9b30cc6b03ab17a0b23700031b59ac9f809c00d5b9a6ee729e136e9cd68cbc83c4
 SHA512 
9e45a117322be87d56d1824cb87ecd1fb6c5dad8de3ef950f25d9e3fbe3bc712507575d59702c1614acbc999cdc482ab9fe852e5b16424ac40f2c94f070cef9b

diff --git a/dev-vcs/lazygit/lazygit-0.20.2.ebuild 
b/dev-vcs/lazygit/lazygit-0.20.2.ebuild
new file mode 100644
index 0000000..df46884
--- /dev/null
+++ b/dev-vcs/lazygit/lazygit-0.20.2.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+EGO_PN="github.com/jesseduffield/lazygit"
+
+inherit golang-build golang-vcs-snapshot
+
+DESCRIPTION="Lazygit, a simple terminal UI for git commands"
+HOMEPAGE="https://github.com/jesseduffield/lazygit";
+SRC_URI="https://github.com/jesseduffield/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="doc"
+
+DEPEND=( sys-libs/glibc )
+RDEPEND=(
+       ${DEPEND}
+       dev-vcs/git
+)
+
+DOCS=( src/${EGO_PN}/{CONTRIBUTING,README}.md )
+
+src_compile() {
+       GOPATH="${S}" go build -v -o bin/lazygit src/${EGO_PN}/main.go || die
+}
+
+src_install() {
+       dobin bin/lazygit
+
+       use doc && dodoc -r "src/${EGO_PN}/docs/."
+       einstalldocs
+}

Reply via email to